Bug 1170231 - Review Request: 2048-cli - The game 2048 for your Linux terminal
Summary: Review Request: 2048-cli - The game 2048 for your Linux terminal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 14:29 UTC by Björn 'besser82' Esser
Modified: 2014-12-29 19:04 UTC (History)
2 users (show)

Fixed In Version: 2048-cli-0.9-4.git20141214.723738c.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-13 09:34:02 UTC
Type: ---
redhat: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-12-03 14:29:12 UTC
Description:

  A cli version of the game 2048 for your Linux terminal.


Koji Builds:

  el5:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285695
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285702
  el7:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285711
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285718
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285725
  F21:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285736
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8285760


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be  some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/2048-cli.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/2048-cli-0.8-1.fc21.src.rpm


Additional Information:

  none


Thanks for review in advance!

Comment 1 Robert Scheck 2014-12-04 00:17:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck in
     /home/robert/1170231-2048-cli/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in 2048-cli-
     nocurses
[?]: Package functions as described.
[!]: Latest version is packaged.
     -> 2195f44 available, 2fef5a4 packaged
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: 2048-cli-0.8-1.fc20.x86_64.rpm
          2048-cli-nocurses-0.8-1.fc20.x86_64.rpm
          2048-cli-0.8-1.fc20.src.rpm
2048-cli.x86_64: W: no-manual-page-for-binary 2048
2048-cli-nocurses.x86_64: W: spelling-error Summary(en_US) ncurses -> nurses, curses, n curses
2048-cli-nocurses.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
2048-cli-nocurses.x86_64: W: no-manual-page-for-binary 2048nc
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
ESC]0;<mock-chroot>^G<mock-chroot>[root@localhost /]# rpmlint 2048-cli-nocurses 2048-cli
2048-cli-nocurses.x86_64: W: spelling-error Summary(en_US) ncurses -> nurses, curses, n curses
2048-cli-nocurses.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
2048-cli-nocurses.x86_64: W: no-manual-page-for-binary 2048nc
2048-cli.x86_64: W: no-manual-page-for-binary 2048
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
ESC]0;<mock-chroot>^G<mock-chroot>[root@localhost /]# echo 'rpmlint-done:'



Requires
--------
2048-cli-nocurses (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

2048-cli (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.5()(64bit)
    libtinfo.so.5()(64bit)
    rtld(GNU_HASH)



Provides
--------
2048-cli-nocurses:
    2048-cli-nocurses
    2048-cli-nocurses(x86-64)

2048-cli:
    2048-cli
    2048-cli(x86-64)



Source checksums
----------------
https://github.com/Tiehuis/2048-cli/archive/v0.8.tar.gz#/2048-cli-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : 493b58c54669efad33bbb302e4eff7202cdc825c7599113607968f4c2cfe60ce
  CHECKSUM(SHA256) upstream package : 493b58c54669efad33bbb302e4eff7202cdc825c7599113607968f4c2cfe60ce


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --bug 1170231
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Robert Scheck 2014-12-04 00:23:34 UTC
Sorry for the maybe unnecessary legal request but from what I remember it
is not allowed to add/change license texts on downstream side. And patch0
(2048-cli-0.8_minor-improvements.patch) adds the license header to all *.c
files - at least I can not see this patch upstream.

Comment 3 Björn 'besser82' Esser 2014-12-04 08:46:36 UTC
(In reply to Robert Scheck from comment #1)
> [!]: Latest version is packaged.
>      -> 2195f44 available, 2fef5a4 packaged

---> The package is made from the last tagged release [1] on github, which
     is tagged from 2195f44.  The other lines in spec-file, which refer to
     a particular commit on gh, are for non- / pre- / post-release builds,
     only.


> [!]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise justified.

---> See below…


> [?]: Package should compile and build into binary rpms on all supported
>      architectures.

---> See scratch-builds on Koji from initial comment [3].


(In reply to Robert Scheck from comment #2)
> Sorry for the maybe unnecessary legal request but from what I remember it
> is not allowed to add/change license texts on downstream side. And patch0
> (2048-cli-0.8_minor-improvements.patch) adds the license header to all *.c
> files - at least I can not see this patch upstream.

---> The patch is upstreamed, but the pull-request [2] is not merged yet.
     The Patch0-url in spec-file directly links to this pr.  If you are
     more comfortable with it, I can drop the patch as well.  I think it's
     not neccesarry to raise fe-legal here…


[1]  https://github.com/Tiehuis/2048-cli/releases
[2]  https://github.com/Tiehuis/2048-cli/pull/8
[3]  https://bugzilla.redhat.com/show_bug.cgi?id=1170231#c0

Comment 4 Robert Scheck 2014-12-04 10:13:59 UTC
Sorry, I overlooked the scratch-builds in the initial comment. However
all of these are no show stoppers to me except that I am unsure about the
license patch.

> ---> The patch is upstreamed, but the pull-request [2] is not merged yet.
>      The Patch0-url in spec-file directly links to this pr.  If you are
>      more comfortable with it, I can drop the patch as well.  I think it's
>      not neccesarry to raise fe-legal here…

I remember that in the past e.g. updating the old FSF address lead to some
trouble (if done by downstream), thus I would be really more happy to see
that part of the patch either removed (until it's upstream) or clarified by
FE-Legal.

Comment 6 Björn 'besser82' Esser 2014-12-04 10:34:51 UTC
Fixed build-fails on el{5,6} caused by an invalid macro in spec-file.


Koji Builds:

  el5:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8292917
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8292921

Comment 7 Robert Scheck 2014-12-04 10:37:14 UTC
Given that the license patch has been removed with 0.8-2:

  APPROVED

Comment 8 Björn 'besser82' Esser 2014-12-04 10:40:13 UTC
Thanks for the review, Robert!

#####

New Package SCM Request
=======================
Package Name: 2048-cli
Short Description: The game 2048 for your Linux terminal
Upstream URL: https://github.com/Tiehuis/2048-cli/
Owners: besser82
Branches: el5 el6 epel7 f19 f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2014-12-04 13:03:42 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-12-04 13:36:36 UTC
2048-cli-0.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.el5

Comment 11 Fedora Update System 2014-12-04 13:36:56 UTC
2048-cli-0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.el6

Comment 12 Fedora Update System 2014-12-04 13:37:16 UTC
2048-cli-0.8-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.el7

Comment 13 Fedora Update System 2014-12-04 13:37:35 UTC
2048-cli-0.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.fc19

Comment 14 Fedora Update System 2014-12-04 13:37:55 UTC
2048-cli-0.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.fc20

Comment 15 Fedora Update System 2014-12-04 13:38:13 UTC
2048-cli-0.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/2048-cli-0.8-2.fc21

Comment 16 Fedora Update System 2014-12-05 00:46:30 UTC
2048-cli-0.8-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 17 Fedora Update System 2014-12-13 09:34:02 UTC
2048-cli-0.8-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2014-12-15 04:34:31 UTC
2048-cli-0.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-12-15 04:35:07 UTC
2048-cli-0.8-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Fedora Update System 2014-12-29 19:03:28 UTC
2048-cli-0.9-4.git20141214.723738c.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 21 Fedora Update System 2014-12-29 19:03:53 UTC
2048-cli-0.9-4.git20141214.723738c.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 22 Fedora Update System 2014-12-29 19:04:27 UTC
2048-cli-0.9-4.git20141214.723738c.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.